Subject: bug#39703: closed (Re: MPV chooses the slow AV1 decoder)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 10 Jan 2024 18:14:02 +0000

Your bug report

#39703: MPV chooses the slow AV1 decoder

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39703: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=39703
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: MPV chooses the slow AV1 decoder
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Wed, 10 Jan 2024 13:13:11 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

After 4 years, many upstream releases of mpv and FFmpeg, and a new
laptop, I'm closing this bug as "not actionable".

Subject: MPV chooses the slow AV1 decoder
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Thu, 20 Feb 2020 17:50:54 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I noticed that our MPV cannot play back AV1 videos in real-time on my
Thinkpad x230 laptop.

MPV gets AV1 playback support from FFmpeg. Our FFmpeg package includes
both the libaom and dav1d AV1 decoders. I think that MPV is using
libaom, and that is too slow.

I rebuilt FFmpeg without libaom, and MPV can play my AV1 test file fine
now, using dav1d.

I wonder, is there a way to change the preference?